local moonshine = require 'moonshine'
local image = 'clockwork.png'
local magnitude = 0.20
local offset = magnitude
local amplitude = magnitude
local counter = 4.75
local angle = 0

local xOffset = 150
local yOffset = 150

local vertices = {xOffset, yOffset, 0, love.graphics.getHeight() - yOffset, love.graphics.getWidth(), love.graphics.getHeight() - yOffset, love.graphics.getWidth() - xOffset, yOffset}

function formatVertices(myVertices)
  return {
    {myVertices[1], myVertices[2], 0, 0, 255, 255, 255, 255},
    {myVertices[3], myVertices[4], 0, 1, 255, 255, 255, 255},
    {myVertices[5], myVertices[6], 1, 1, 255, 255, 255, 255},
    {myVertices[7], myVertices[8], 1, 0, 255, 255, 255, 255}
  }
end

function love.load()
    mesh = love.graphics.newMesh(4, 'fan', 'dynamic')
    mesh:setVertices(formatVertices(vertices))
    mesh:setTexture(love.graphics.newImage(image))

    effect = moonshine(moonshine.effects.sketch)
end

function love.update(dt)
    counter = counter + 0.01
    angle = math.sin(counter) * amplitude + offset
    effect.sketch.amp = angle
end

function love.draw()

--    love.graphics.draw(mesh, 0, 0)
---[[
    effect(function()
      love.graphics.draw(mesh, 0, 0)
    end)
--]]
end
